[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Version Updating Question

On Fri, Nov 07, 2003 at 04:57:54PM -0500, Mark Johnson wrote:
> Hi All,
> I'm updating the docbook-simple package from V1.0cr2 to V1.0. Since
> 1.0cr2 > 1.0, I'm not sure how to handle the situation.
> Policy & the Developers Reference imply that I upload V1.0 and file a
> bug against ftp.debian.org to have V1.0CR2 removed from the
> archive. This seems like an odd way to do it. 

Won't work.

> Also, I'd rather not give V1.0 a version like 1.0really - unless I
> 'really' have to:)
> Any help on this would be much appreciated.

Eventually, the right thing to do will be something like 1.0~cr2 which
is less than 1.0.  That won't be allowed till after sarge, IIRC.

For now, the right thing to do would have been 0.999, or some similarly
gross hack.

To correct it, at this point, you need either to append something or
add an epoch.

Daniel Jacobowitz
MontaVista Software                         Debian GNU/Linux Developer

Reply to: